summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBernard Cafarelli <voyageur@gentoo.org>2009-09-02 20:23:32 +0000
committerBernard Cafarelli <voyageur@gentoo.org>2009-09-02 20:23:32 +0000
commitf1be0273a7b5044b9cbaffa318fb9ba0d35597f3 (patch)
treea916071d9901f1cd0709580de8a8d434618680b3 /net-misc
parentUse some shell variable substitution to find svn revision from ebuild name, m... (diff)
downloadnx-f1be0273a7b5044b9cbaffa318fb9ba0d35597f3.tar.gz
nx-f1be0273a7b5044b9cbaffa318fb9ba0d35597f3.tar.bz2
nx-f1be0273a7b5044b9cbaffa318fb9ba0d35597f3.zip
Bump with lots of fixes from calchan, including sqlite support (USE-enabled by default), installation and setup rework, EAPI2, ...
(Portage version: 2.2_rc40/svn/Linux x86_64) svn path=/testing/; revision=237
Diffstat (limited to 'net-misc')
-rw-r--r--net-misc/x2goserver/ChangeLog9
-rw-r--r--net-misc/x2goserver/Manifest4
-rw-r--r--net-misc/x2goserver/x2goserver-3.0.1.1.ebuild99
3 files changed, 110 insertions, 2 deletions
diff --git a/net-misc/x2goserver/ChangeLog b/net-misc/x2goserver/ChangeLog
index e07e513..88f3221 100644
--- a/net-misc/x2goserver/ChangeLog
+++ b/net-misc/x2goserver/ChangeLog
@@ -1,7 +1,14 @@
# ChangeLog for net-misc/x2goserver
-# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
+# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*x2goserver-3.0.1.1 (02 Sep 2009)
+
+ 02 Sep 2009; Bernard Cafarelli <voyageur@gentoo.org>
+ +x2goserver-3.0.1.1.ebuild:
+ Bump with lots of fixes from calchan, including sqlite support
+ (USE-enabled by default), installation and setup rework, EAPI2, ...
+
16 Dec 2008; Bernard Cafarelli <voyageur@gentoo.org>
x2goserver-2.0.1.16.ebuild:
Depend on ldap ebuilds
diff --git a/net-misc/x2goserver/Manifest b/net-misc/x2goserver/Manifest
index e4d58a6..135af39 100644
--- a/net-misc/x2goserver/Manifest
+++ b/net-misc/x2goserver/Manifest
@@ -1,7 +1,9 @@
AUX x2goserver.init 493 RMD160 5633609c39c43c7d810712cecb89cf947329862d SHA1 a6096f59d62f9be79250accddbc912d62b6226cd SHA256 b03cffd2c4eb539cc1904c42058d18f8b389cf7ed26ea4175ee0a136249c3feb
DIST x2goserver_2.0.1-19_all.deb 14536 RMD160 9052af7fe76051d13dbda6b8ca4dd0192e88218a SHA1 5610b16b5529ea65bd19bfee7a7a9dfc8079b716 SHA256 513173c738dfa6a4e379ccb1a99eaff46803ad08a325073fbca8b76b6be76d56
DIST x2goserver_3.0.0-1_all.deb 15000 RMD160 ce8d06fefa8426cedaf9ac64bc60af17de8cc905 SHA1 90b6377d8e02f66bc396a4279c32f3d25266088f SHA256 99b5bd556f2cdb9bb399b9c35efa4b8406f23a8ea766d84a060a0e1671c468ba
+DIST x2goserver_3.0.1-1.tar.gz 21151 RMD160 d01bc4245dc8242f0afd9f4c9143931514adc1c8 SHA1 771aa9d81f6205cdd302ec9fb0a5d7134656000b SHA256 636cbe6bfa72de020255ccaca86ade3a8ffeb369fc5b51a589bb4d3c3279b61d
EBUILD x2goserver-2.0.1.19.ebuild 1723 RMD160 b8bce1018b13defa02c67ecb66ce22a3cdcd9fee SHA1 26ce63cf85bd8dbfb3c02dd18534e86e8a75d58f SHA256 d10ddef4322cf7894abb98ec8b314e31c56b3ea03fb03bf3e842f1050d813e23
EBUILD x2goserver-3.0.0.1.ebuild 1907 RMD160 c9af82dee9fcaafdd2cb4dfd9d2b0da8dbac500a SHA1 6ba6ba32c83f5dd91b690b23358a1fda420f29e2 SHA256 56d0f6abe3e26f3b1b1e8aeff94ade69109a348f893d4cf803a0db236b5d45a9
-MISC ChangeLog 684 RMD160 0863db42b5601dad9309026596c8351a309bd42b SHA1 ddaef3fa042f5c58e96ed27215b0455bffe2d44e SHA256 ec7c27a24e2a69ee4e492a62de3578f76ec7521286804c420cbc2aecceade238
+EBUILD x2goserver-3.0.1.1.ebuild 3142 RMD160 bb5e291b6eed36b4b891480410c21c5d564e9626 SHA1 7519128bb37a0afadd1be2fbd17082676668999b SHA256 477780e9d3a71cf597766ce56c5b310db12e3989b6f589c707e90836eb2b082d
+MISC ChangeLog 940 RMD160 222ce9374438f397398e15a3779d395d84a0b5a8 SHA1 a76894cac93fb7ed9fc22609d8c71d014c0581ce SHA256 496ee609b90614440335bab159657ae9930dcdb009284dee629d253c3441e602
MISC metadata.xml 307 RMD160 0172cd4fc792a41fde528ec788ab0dd98f3d21bc SHA1 953412d99904e25f4845fdfda587298e7cbc7f2a SHA256 b19b0330b6614bc27421032b94f6ade24661e38c818140c598d50cb91e82bce6
diff --git a/net-misc/x2goserver/x2goserver-3.0.1.1.ebuild b/net-misc/x2goserver/x2goserver-3.0.1.1.ebuild
new file mode 100644
index 0000000..c204483
--- /dev/null
+++ b/net-misc/x2goserver/x2goserver-3.0.1.1.ebuild
@@ -0,0 +1,99 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+inherit versionator
+
+MY_P="${PN}_$(replace_version_separator 3 -)"
+DESCRIPTION="The X2Go server"
+HOMEPAGE="http://x2go.berlios.de"
+SRC_URI="http://x2go.obviously-nice.de/deb/pool-lenny/${PN}/${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+fuse postgres +sqlite"
+
+DEPEND=""
+RDEPEND="app-admin/sudo
+ net-misc/nx
+ virtual/ssh
+ fuse? ( sys-fs/sshfs-fuse )
+ postgres? ( virtual/postgresql-server )
+ sqlite? ( !postgres? ( >=dev-db/sqlite-3 ) )"
+
+S="${WORKDIR}/${PN}-$(get_version_component_range 1-3)"
+
+pkg_setup() {
+ if use postgres && use sqlite ; then
+ ewarn "You have selected both PostgreSQL and SQLite. This installation of x2goserver"
+ ewarn "will default to PostgreSQL. Add USE=-postgres if you prefer SQLite."
+ fi
+ if use !postgres && use !sqlite ; then
+ ewarn "You have selected neither PostgreSQL or SQLite as a database. You will need"
+ ewarn "to use a remote PostgreSQL database."
+ fi
+}
+
+src_prepare() {
+ # Needs testing, is it fully compatible with nxagent?
+ sed -i -e 's/x2goagent/nxagent/' x2gostartagent || die "sed failed"
+
+ sed -i -e 's/sqlite/sqlite3/' x2gosqlite.sh || die "sed failed"
+
+ cp "${FILESDIR}"/${PN}.init .
+ if use !postgres ; then
+ sed -i -e '/need postgresql/d' ${PN}.init || die "sed failed"
+ fi
+}
+
+src_install() {
+ exeinto /usr/share/x2go/script
+ doexe x2go*.sh
+ rm x2go*.sh
+
+ dosbin x2gocleansessions
+ rm x2gocleansessions
+
+ dobin x2go*
+
+ mkdir -p "${D}/etc/x2go"
+ if use postgres ; then
+ echo -n local > "${D}/etc/x2go/sql"
+ elif use sqlite ; then
+ echo -n sqlite > "${D}/etc/x2go/sql"
+ else echo -n "Replace this with your remote PostgreSQL server's address" > "${D}/etc/x2go/sql"
+ fi
+
+ newinitd ${PN}.init ${PN}
+
+ dodoc INSTALL debian/changelog
+
+ keepdir /var/db/x2go
+}
+
+pkg_postinst() {
+ if use postgres ; then
+ elog "You have selected a PostgreSQL database. If you are installing x2goserver for"
+ elog "the first time you need to create the database with the following script:"
+ elog "/usr/share/x2go/script/x2gocreatebase.sh"
+ elog "If you are changing to PostreSQL from SQLite you need to remove the old"
+ elog "database at /var/db/x2go/x2go_sessions and run the above script."
+ elif use sqlite ; then
+ elog "You have selected an SQLite database. If you are installing x2goserver for"
+ elog "the first time you need to create the database with the following script:"
+ elog "/usr/share/x2go/script/x2gosqlite.sh"
+ elog "If you are changing to SQLite from PostreSQL you need to remove the old"
+ elog "database at /var/db/x2go/x2go_sessions and run the above script."
+ else
+ elog "You have selected a remote database. You will need to specify the address of"
+ elog "your remote PostgreSQL server in /etc/x2go/sql."
+ fi
+ einfo ""
+ elog "You will need to give sudo rights on x2gopgwrapper to your users"
+ elog "A sudoers example for all members of the group users:"
+ elog " %users ALL=(ALL) NOPASSWD: /usr/bin/x2gopgwrapper"
+ elog "To give only a special group access to the x2goserver, "
+ elog "change %users to any other group"
+}